Khronos Public Bugzilla
Bug 763 - The description of Table2.4 about Integer Handling is conflict with other contents in this Spec
The description of Table2.4 about Integer Handling is conflict with other con...
Status: NEW
Product: OpenGL-ES
Classification: Unclassified
Component: API Specification
3.0
PC Windows
: P3 normal
: ---
Assigned To: Tom Olson
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 18:38 PST by shwang
Modified: 2013-06-19 15:20 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shwang 2013-01-06 18:38:27 PST
In page 24. of OpenGL ES Version 3.0 (August 6, 2012). The description of Table 2.4 said "The “Integer Han-dling” column indicates how fixed-point data types are handled", but I think it should not be fixed-point here, it should be int data types.

Detail:
In Spec, Page 24 said:
The “Integer Han-dling” column indicates how fixed-point data types are handled: 
“integer” means that they remain as integer values, 
and “flag” means that they are either converted to floating-point directly, or converted by normalizing to[0;1](for unsigned types) or[ 1;1](for signed types), depending on the setting of the normalizedflag in VertexAttribPointer. 

This is conflict with Page 25:
The normalized flag is ignored if type is FIXED, FLOAT, or HALF_FLOAT.

So I think FIXED type should ignore normalized flag, and int type should depend on normalized flag during conversion.
Comment 1 Jon Leech 2013-06-19 15:20:46 PDT
Reassign OpenGL ES bugs in the public Bugzilla to the ES WG Chair so
they'll get more attention.